summaryrefslogtreecommitdiffstats
path: root/scripts/linux2/travisbuild.sh
diff options
context:
space:
mode:
authorGravatar Dirk Hohndel <dirk@hohndel.org>2018-05-19 15:07:44 -0700
committerGravatar Dirk Hohndel <dirk@hohndel.org>2018-05-19 21:21:46 -0700
commit14d18276e4c7f9f027b4041d73446d41bae6df67 (patch)
tree7e87070e3fc13fc807b0c3bc5e9334ad1c641d0c /scripts/linux2/travisbuild.sh
parent1faa5d7ae19babcab3c8f4214292110964d14a6d (diff)
downloadsubsurface-14d18276e4c7f9f027b4041d73446d41bae6df67.tar.gz
Travis: add secondary Linux build target
The goal is to reduce the overall wall clock time of our test builds. This secondary Linux target uses the no-sudo container setup with a Qt 5.10.1 backport and tests the build without BT support as well as the mobile build (but not the full desktop build and doesn't create an AppImage as the pre-built Qt5.10.1 is missing QtWebKit). In exchange we remove the no-bt and mobile build from the existing linux target. Signed-off-by: Dirk Hohndel <dirk@hohndel.org>
Diffstat (limited to 'scripts/linux2/travisbuild.sh')
-rw-r--r--scripts/linux2/travisbuild.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/scripts/linux2/travisbuild.sh b/scripts/linux2/travisbuild.sh
new file mode 100644
index 000000000..ecb275868
--- /dev/null
+++ b/scripts/linux2/travisbuild.sh
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+set -x
+set -e
+
+# this gets executed by Travis when building an AppImage for Linux
+# it gets started from inside the subsurface directory
+
+export PATH=$QT_ROOT/bin:$PATH # Make sure correct qmake is found on the $PATH for linuxdeployqt
+export CMAKE_PREFIX_PATH=$QT_ROOT/lib/cmake
+
+# the global build script expects to be called from the directory ABOVE subsurface
+# build both desktop and mobile - first desktop without BT support and without
+# webkit to make sure that still works, then with all components in order
+# to create an AppImage
+cd ..
+
+bash -e -x ./subsurface/scripts/build.sh -desktop -no-bt
+rm -rf subsurface/build
+bash -e -x ./subsurface/scripts/build.sh -mobile
+